<template>
  <div class="container">
    <div class="customer">
      <div class="user_header" v-for="(total, i) in docss" :key="i">
        {{ total.id }}
      </div>

      <div class="user_buying_detail">
        <div class="detail_container">
          <div class="detail_header">
            <p>Serial No</p>
            <p>Pro Name</p>
            <p>Price</p>
            <p>Qty</p>
          </div>
          <div></div>
        </div>
        <ol>
          <li v-if="show">
            <br />
            <span v-for="(field, i) in total.order" :key="i">
              {{ field.ProductName }}
            </span>
          </li>
        </ol>
      </div>
    </div>
  </div>
</template>

<script>
import { db } from "../firebase/db";
import { mdiDelete } from "@mdi/js";
export default {
  data() {
    return {
      show: false,
      docss: [],
      Final: null,
      user: null,
      Customer: "",
      icons: {
        mdiDelete,
      },
    };
  },
  methods: {
    showToggle() {
      this.show = !this.show;
    },
    check() {
      // debugger; // eslint-disable-line no-debugger
      // db.collection("crackers")
      //   .get()
      //   .then((querySnapshot) => {
      //     querySnapshot.forEach((doc) => {
      //       // console.log(doc.id, " => ", doc.data());
      //       // this.Final.push(doc.data());
      //       this.Final = doc.data().order;

      //       // this.ProductName = doc.data().ProductName;
      //       // this.Quanity = doc.data().Quanity;
      //       // this.SerialNo = doc.data().SerialNo;
      //       // this.TotalPrice = doc.data().TotalPrice;
      //     });
      //   });
      // db.collection("userName")
      //   .get()
      //   .then((querySnapshot) => {
      //     const documents = querySnapshot.docs.map((doc) => doc.data().order);
      //     // do something with documents
      //     this.user = documents;
      //   });

      // this.user = db.collection("userName").orderBy("createdAt");

      //  db.collection("userName")
      //   .doc("madhavan")
      //   .get()
      //   .then((snapshot) => {
      //     const document = snapshot.data().order;
      //     this.Final = document;
      //     // do something with document
      //   });

      // db.collection("crackers")
      //   .doc(this.Customer)
      //   .get()
      //   .then((snapshot) => {
      //     const document = snapshot.data().order;
      //     this.Final = document;
      //     this.user = this.Final[0];
      //     console.log(this.Final);
      //     console.log(this.user);
      //     // do something with document
      //   });
      db.collection("crackers").onSnapshot((querySnapshot) => {
        querySnapshot.forEach((doc) => {
          const doc2 = doc.data();
          doc2.id = doc.id;
          this.docss.push(doc2);
        });
      });
    },
    ondelete() {
      this.show = false;
      // db.collection("crackers")
      //   .doc(this.Customer)
      //   .delete();
      // this.$firestoreRefs.cities.doc(this.Customer).delete();
      console.log(this.docss);
    },
  },
  mounted() {
    this.check();
  },
};
</script>

<style>
.container {
  /* width: 85rem;
  margin: auto; */
  padding: 1rem;
}
.customer {
  width: 60%;
  border: 1px solid #4e0321;
  border-radius: 8px;
  overflow: hidden;
  margin: auto;
}
.user_header {
  background-color: #4e0321;
  color: #fff;
  /* text-align: center; */
  height: 40px;
  display: flex;
  align-items: center;
  /* justify-content: center; */
  font-size: 18px;
  font-weight: 600;
  padding: 1rem;
}
.detail_container {
  padding: 0.5rem;
  justify-content: space-between;
}
.detail_header {
  display: flex;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0.5rem;
}
.search {
  float: right;
}
</style>
